Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002108KdenliveBuild Systempublic2011-04-29 20:362011-11-01 18:56
ReporterRedDwarf 
Assigned Tottill 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSopenSUSEOS Version11.4
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002108: CFLAGS are ignored
DescriptionBecause of the "set(CMAKE_C_FLAGS " --std=c99") # To compile kiss_fft" line in the main CMakeLists.txt file user specified CFLAGS are ignored.

Substitute it for "set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99") # To compile kiss_fft" still allows C99 code to compile without ignoring user specified CFLAGS.


PS. ".patch" files are not allowed for upload?!?
Additional InformationPatch:


Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt.orig
+++ CMakeLists.txt
@@ -8,7 +8,7 @@ set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR
 
 # Search packages used by KDE.
 find_package(KDE4 REQUIRED)
-set(CMAKE_C_FLAGS " --std=c99") # To compile kiss_fft
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99") # To compile kiss_fft
 include(KDE4Defaults)
 include(MacroLibrary)
 include(FindGettext)
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0006682)
ttill (developer)
2011-04-29 22:10

Thanks,
patch applied in r5566.
Yup the uploader is not very permissive. Unfortunately I do not have access to the responsible settings.

- Issue History
Date Modified Username Field Change
2011-04-29 20:36 RedDwarf New Issue
2011-04-29 22:10 ttill Note Added: 0006682
2011-04-29 22:10 ttill Assigned To => ttill
2011-04-29 22:10 ttill Status new => resolved
2011-04-29 22:10 ttill Resolution open => fixed
2011-04-29 22:10 ttill Fixed in Version => Recent git
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker